libgnome-games-support-1-3-1.4.4-23.1.i586.rpm


Advertisement

Description

libgnome-games-support-1-3 - Internal support library for GNOME games

Property Value
Distribution openSUSE Tumbleweed
Repository GNOME Factory x86_64 + i586
Package filename libgnome-games-support-1-3-1.4.4-23.1.i586.rpm
Package name libgnome-games-support-1-3
Package version 1.4.4
Package release 23.1
Package architecture i586
Package type rpm
Category System/Libraries
Homepage https://git.gnome.org/browse/libgnome-games-support/
License LGPL-3.0-or-later
Maintainer -
Download size 40.50 KB
Installed size 97.92 KB
libgnome-games-support is a small library intended for internal use by
GNOME Games, but it may be used by others. The API will only break
with the major version number. The ABI is unstable.

Alternatives

Package Version Architecture Repository
libgnome-games-support-1-3-1.4.4-44.1.i586.rpm 1.4.4 i586 GNOME Next
libgnome-games-support-1-3-1.4.4-44.1.x86_64.rpm 1.4.4 x86_64 GNOME Next
libgnome-games-support-1-3-1.4.4-20.5.x86_64.rpm 1.4.4 x86_64 GNOME Factory
libgnome-games-support-1-3-1.4.4-1.1.i586.rpm 1.4.4 i586 openSUSE Oss
libgnome-games-support-1-3-1.4.4-1.1.x86_64.rpm 1.4.4 x86_64 openSUSE Oss
libgnome-games-support-1-3 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.4) -
libgdk-3.so.0 -
libgee-0.8.so.2 -
libgio-2.0.so.0 -
libglib-2.0.so.0 -
libgobject-2.0.so.0 -
libgtk-3.so.0 -

Provides

Name Value
libgnome-games-support = 1.4.4
libgnome-games-support-1-3 = 1.4.4-23.1
libgnome-games-support-1-3(x86-32) = 1.4.4-23.1
libgnome-games-support-1.so.3 -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libgnome-games-support-1-3-1.4.4-23.1.i586.rpm
Source Package libgnome-games-support-1.4.4-23.1.src.rpm

Install Howto

  1. Add the GNOME Factory repository:
    # zypper addrepo http://widehat.opensuse.org/repositories/GNOME:/Factory/openSUSE_Factory/ gnome-factory
  2. Install libgnome-games-support-1-3 rpm package:
    # zypper install libgnome-games-support-1-3

Files

Path
/usr/lib/libgnome-games-support-1.so.3
/usr/lib/libgnome-games-support-1.so.3.0.1
/usr/share/licenses/libgnome-games-support-1-3/COPYING.LESSER

Changelog

2020-01-25 - Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend -lang: supplements are in use
2019-09-02 - Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 1.4.4:
+ Fix build with new gettext.
2018-12-11 - bjorn.lie@gmail.com
- Update to version 1.4.3:
+ Fix build with vala 0.43.1
2018-08-13 - bjorn.lie@gmail.com
- Update to version 1.4.2:
+ Hide category chooser on scores dialog when not needed.
- Changes from version 1.4.1:
+ Fix invalid cast in scores dialog.
- Changes from version 1.4.0:
+ Fix Scores.Context.get_high_scores() returning unordered
scores.
+ Ensure all public objects are usable when created with
g_object_new().
+ Build with --abi-stability (requires valac 0.40). Bump soname.
- Following upstream changes, bump soname to 3, use define sover to
ease future bumps.
- Drop gnome-common BuildRequires and remove conditional autogen
call, we are using a prestine tarball.
- Add make_build, actually build the libs ourselves, not just
install the upstream ones. Use autosetup macro.
2018-03-05 - jengelh@inai.de
- Fix SRPM group.
2018-02-28 - dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
2017-09-09 - dimstar@opensuse.org
- Update to version 1.2.3:
+ Updated translations.
2017-06-16 - zaitor@opensuse.org
- Update to version 1.2.2:
+ Fix wrong printf format specifier.
+ Updated translations.
2016-10-25 - zaitor@opensuse.org
- Update to version 1.2.1:
+ Do not iterate global main context when running scores dialog.
+ Updated translations.
2016-09-19 - zaitor@opensuse.org
- Update to version 1.2.0:
+ Updated translations.

See Also

Package Description
libgnome-games-support-devel-1.4.4-20.5.x86_64.rpm Development files for the GNOME Internal games library
libgnome-games-support-devel-1.4.4-23.1.i586.rpm Development files for the GNOME Internal games library
libgnome-games-support-lang-1.4.4-20.5.noarch.rpm Translations for package libgnome-games-support
libgnome-games-support-lang-1.4.4-23.1.noarch.rpm Translations for package libgnome-games-support
libgnome-keyring-devel-3.12.0-84.20.x86_64.rpm Library to integrate with the GNOME Keyring - Development Files
libgnome-keyring-devel-3.12.0-87.3.i586.rpm Library to integrate with the GNOME Keyring - Development Files
libgnome-keyring-lang-3.12.0-84.20.noarch.rpm Translations for package libgnome-keyring
libgnome-keyring-lang-3.12.0-87.3.noarch.rpm Translations for package libgnome-keyring
libgnome-keyring0-3.12.0-84.20.x86_64.rpm Library to integrate with the GNOME Keyring
libgnome-keyring0-3.12.0-87.3.i586.rpm Library to integrate with the GNOME Keyring
libgnome-keyring0-32bit-3.12.0-87.3.x86_64.rpm Library to integrate with the GNOME Keyring
libgnome-lang-2.32.2+20180228.6a7dbfb9-64.5.noarch.rpm Translations for package libgnome
libgnome-menu-3-0-3.32.0-133.13.x86_64.rpm The GNOME Desktop Menu
libgnome-menu-3-0-3.32.0-136.3.i586.rpm The GNOME Desktop Menu
libgnome-menu-3-0-32bit-3.32.0-136.3.x86_64.rpm The GNOME Desktop Menu
Advertisement
Advertisement